API referenceSequences
List enrollments
GET
/sequences/{id}/enrollmentsAuthorization
apiKey AuthorizationBearer <token>
A project API key: Authorization: Bearer s0_…
In: header
Path Parameters
id*string
Length
1 <= length <= 64Query Parameters
limit?integer
Range
1 <= value <= 100after?string
Length
1 <= length <= 64before?string
Length
1 <= length <= 64status?string
Value in
- "active"
- "waiting"
- "completed"
- "exited"
- "canceled"
- "failed"
contact_id?string
Stamp0 ct_ identifier
Match
^ct_[0-9A-Za-z]{16}$Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/sequences/string/enrollments"{ "object": "list", "has_more": true, "data": [ { "object": "sequence_enrollment", "id": "string", "sequence_id": "string", "contact_id": "string", "status": "active", "current_step_id": "string", "next_run_at": "2019-08-24T14:15:22Z", "waiting_for_event": "string", "exit_reason": "string", "history": [ { "step_id": "string", "type": "delay", "outcome": "string", "at": "2019-08-24T14:15:22Z" } ], "enrolled_at": "2019-08-24T14:15:22Z", "completed_at": "2019-08-24T14:15:22Z" } ]}